﻿using System.Collections;
using System.Collections.ObjectModel;
using System.Windows.Controls;
using System.Windows.Data;
using FlatData.SampleApp.Data;
using Infragistics.Olap.FlatData;

namespace CompoundMeasuresSample
{
    public partial class MainPage : UserControl
    {
        private ObservableCollection<ProductData> flatData;

        public ObservableCollection<ProductData> FlatData
        {
            get
            {
                if (this.flatData == null)
                {
                    this.flatData = new ObservableCollection<ProductData>();
                }

                return flatData;
            }
        }


        public MainPage()
        {
            InitializeComponent();
            Loaded += new System.Windows.RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            this.CreateFlatData();

            (LayoutRoot.Resources["flatDataConnectionSettings"] as FlatDataConnectionSettings).ItemsSource = FlatData;
        }

        private void CreateFlatData()
        {
            this.flatData = new ObservableCollection<ProductData>(ProductData.GenerateData());
        }
    }
}
